package com.yeejoin.amos.patrol.business.entity.mybatis;

import java.util.Date;

public class PlanTaskPointInputItemBo {

	/**
	 * 巡检项id
	 */
	private Long inputItemId;
	
	/**
	 * 巡检路线巡检点检查项
	 */
	private long routePointItemId;


	/**
	 * 巡检点顺序
	 */
	private int orderNo;
	
	/**
	 * 巡检点id
	 */
	private long pointId;
	
	/**
	 * 巡检任务id
	 */
	private long planTaskId;
	
	/**
	 * 巡检任务详情id
	 */
	private long planTaskDetailId;
	
	/**
	 * 巡检路线
	 */
	private long routeId;
	
	/**
	 * 巡检计划id
	 */
	private long planId;
	
	/**
	 * 执行人id
	 */
	private String userId;
	
	/**
	 * 执行人组织
	 */
	private String orgCode="";
	
	/**
	 * 计划结束时间
	 */
	private Date endTime;
	
	private String classifyName;
	
	private String inputName;

	private Long classifyId;
		
   //新增执行部门	
	private String depId;
	//执行人名称
	private String userName;
	//执行部门名称
	private String depName;
	
	
	
	
	
	
	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getDepName() {
		return depName;
	}

	public void setDepName(String depName) {
		this.depName = depName;
	}

	public Long getInputItemId() {
		return inputItemId;
	}

	public void setInputItemId(Long inputItemId) {
		this.inputItemId = inputItemId;
	}

	public int getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(int orderNo) {
		this.orderNo = orderNo;
	}

	public long getPointId() {
		return pointId;
	}

	public void setPointId(long pointId) {
		this.pointId = pointId;
	}

	public long getPlanTaskId() {
		return planTaskId;
	}

	public void setPlanTaskId(long planTaskId) {
		this.planTaskId = planTaskId;
	}

	public long getRouteId() {
		return routeId;
	}

	public void setRouteId(long routeId) {
		this.routeId = routeId;
	}

	public long getPlanId() {
		return planId;
	}

	public void setPlanId(long planId) {
		this.planId = planId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	
	public long getRoutePointItemId() {
		return routePointItemId;
	}

	public void setRoutePointItemId(long routePointItemId) {
		this.routePointItemId = routePointItemId;
	}

	public long getPlanTaskDetailId() {
		return planTaskDetailId;
	}

	public void setPlanTaskDetailId(long planTaskDetailId) {
		this.planTaskDetailId = planTaskDetailId;
	}
	
	public String getClassifyName() {
		return classifyName;
	}

	public void setClassifyName(String classifyName) {
		this.classifyName = classifyName;
	}

	public Long getClassifyId() {
		return classifyId;
	}

	public void setClassifyId(Long classifyId) {
		this.classifyId = classifyId;
	}

	public String getInputName() {
		return inputName;
	}

	public void setInputName(String inputName) {
		this.inputName = inputName;
	}

	public String getDepId() {
		return depId;
	}

	public void setDepId(String depId) {
		this.depId = depId;
	}
	
}
